<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
    <script>
       const student = {};
        let objectProperty = prompt("Введите название свойства");
        let objectPropertyValue =prompt("Введите значение свойста");
        while(isNaN(objectProperty)&& objectPropertyValue!==null){
            student[objectProperty] = objectPropertyValue;
             objectProperty = prompt("Введите название свойства");
         objectPropertyValue =prompt("Введите значение свойста");
        }
        
        console.log(student);
    </script>
</body>
</html>